package com.mortals.xhx.busiz.rsp;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.mortals.xhx.module.sign.modle.File;
import lombok.Data;

import java.util.List;

/**
 *  签名板响应
 * @author: zhou
 * @date: 2024/7/10 9:57
 */
@Data
@JsonAutoDetect(fieldVisibility = JsonAutoDetect.Visibility.ANY, getterVisibility = JsonAutoDetect.Visibility.NONE)
public class SignResp extends ApiResp {

    /**
     * 操作类型
     */
    private String HWPenSign;

    /**
     * 错误代码
     */
    private int msgID;

    /**
     * 错误信息
     */
    private String message;

}
