package com.mortals.xhx.opencv.bean;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * @author ZYW
 * @date 2024-01-04 16:40
 */
public class PhotoBean {
    /**
     *  文件名
     *  1.jpg
     */
    private String filename;

    /**
     *  文件类型 base64
     *  data:image/jpg;base64,/8j/4AAQSkZJRgABAQEAYABgAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQ//2Q==
     */
    @JSONField(name="Base64String")
    @JsonProperty("Base64String")
    private  String Base64String;

    public PhotoBean(String filename, String Base64String) {
        this.filename = filename;
        this.Base64String = Base64String;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }
    @JSONField(name="Base64String")
    @JsonProperty("Base64String")
    public String getBase64String() {
        return Base64String;
    }

    public void setBase64String(String base64String) {
        Base64String = base64String;
    }
}
