package com.mortals.xhx.opencv.bean;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author ZYW
 * @date 2024-01-15 9:51
 */

@NoArgsConstructor
@Data
public class SiteBean {

    @JsonProperty("id")
    private Integer id;
    @JsonProperty("createUserId")
    private Integer createUserId;
    @JsonProperty("createTime")
    private Long createTime;
    @JsonProperty("updateTime")
    private Long updateTime;
    @JsonProperty("siteName")
    private String siteName;
    @JsonProperty("siteCode")
    private String siteCode;
    @JsonProperty("areaID")
    private String areaID;
    @JsonProperty("areaCode")
    private String areaCode;
    @JsonProperty("areaName")
    private String areaName;
    @JsonProperty("proCode")
    private String proCode;
    @JsonProperty("cityCode")
    private String cityCode;
    @JsonProperty("districtCode")
    private String districtCode;
    @JsonProperty("siteIp")
    private String siteIp;
    @JsonProperty("sitePort")
    private String sitePort;
    @JsonProperty("longitude")
    private String longitude;
    @JsonProperty("latitude")
    private String latitude;
    @JsonProperty("siteTel")
    private String siteTel;
    @JsonProperty("detailAddress")
    private String detailAddress;
    @JsonProperty("siteRemark")
    private String siteRemark;
    @JsonProperty("amWorkStartTime")
    private Long amWorkStartTime;
    @JsonProperty("amWorkEndTime")
    private Long amWorkEndTime;
    @JsonProperty("pmWorkStartTime")
    private Long pmWorkStartTime;
    @JsonProperty("pmWorkEndTime")
    private Long pmWorkEndTime;
    @JsonProperty("workday1")
    private Integer workday1;
    @JsonProperty("workday2")
    private Integer workday2;
    @JsonProperty("workday3")
    private Integer workday3;
    @JsonProperty("workday4")
    private Integer workday4;
    @JsonProperty("workday5")
    private Integer workday5;
    @JsonProperty("workday6")
    private Integer workday6;
    @JsonProperty("workday7")
    private Integer workday7;
    @JsonProperty("onlineTake")
    private Integer onlineTake;
    @JsonProperty("appointment")
    private Integer appointment;
    @JsonProperty("gowMap")
    private Integer gowMap;
    @JsonProperty("level")
    private Integer level;
    @JsonProperty("building")
    private Integer building;
    @JsonProperty("logoPath")
    private String logoPath;
    @JsonProperty("englishName")
    private String englishName;
    @JsonProperty("leadingOfficial")
    private String leadingOfficial;
    @JsonProperty("leadingOfficialTelephone")
    private String leadingOfficialTelephone;
    @JsonProperty("modelIds")
    private String modelIds;
}
