package com.mortals.xhx.busiz.req;

import com.mortals.xhx.module.print.model.PrintContent;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 签名板请求
 * @author:
 * @date: 2022/12/26 10:24
 */
@Data
public class SignReq implements Serializable {

    /**
     * HWInitialize  开始签名
     * HWFinalize  结束签名
     * HWClearSign  清除签名
     * HWGetSign  获取签名图片
     */
    private String HWPenSign;

    /**
     * 签名版固定设置参数
     */
    private String key = "F7B040A43D80063BEBC1A8C8DC9351D5";
    private String title = "请签名";
    private int nOrgX = 400;
    private int nOrgY = 350;
    private int nWidth = 500;
    private int nHeight = 300;
    private int nImageWidth =250;
    private int nImageHeight = 150;
    private int nImageType = 3;
    private int nFingerCap = 0;
    private int nConfirmTimeout = 60;


}
