package com.mortals.xhx.opencv.UI;

import com.mortals.xhx.opencv.utils.ImageUtil;
import com.mortals.xhx.opencv.utils.ResourcesUtil;

import javax.swing.*;
import java.awt.*;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.image.BufferedImage;

/**
 * @author ZYW
 * @date 2024-01-02 15:31
 */

public class MyImageLabel extends JLabel {
    private ImageIcon image;

    private ImageIcon delImage = ImageUtil.getImage("img/delpic.png");


    public MyImageLabel(ImageIcon image) {
        this.image = image;
    }

    @Override
    protected void paintComponent(Graphics g) {
        super.paintComponent(g);
        Graphics2D g2d = (Graphics2D) g;

        // 在标签上绘制图片
        g2d.drawImage(image.getImage(), 0, 0, this);

        // 在图片上绘制热门标签图片（假设你已经知道热门标签图片的大小和位置）
        g2d.drawImage(delImage.getImage(), image.getIconWidth() - delImage.getIconWidth(), 0, this); // xPos和yPos是热门标签图片的位置坐标
    }
}
